Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.rules
Class JboSQLListValidator

`java.lang.Object
oracle.jbo.rules.AbstractValidator
oracle.jbo.server.rules.JboBaseValidator
oracle.jbo.server.rules.JboListValidator
oracle.jbo.server.rules.JboSQLListValidator`

All Implemented Interfaces:
  java.util.EventListener, JbiValidator, oracle.jbo.server.util.VetoableChangeListener

public class JboSQLListValidator
extends JboListValidator

A validator that tests for the presence of a literal value in a list of database values. The list of values is obtained by invoking the validator's SQL query, and then taking the values from the first column of the result.

Since:
  Jdeveloper 3.0

Field Summary

Fields inherited from class oracle.jbo.server.rules.JboBaseValidator
`mValidatingAttr`

Fields inherited from class oracle.jbo.rules.AbstractValidator
`mbInverse, mDescription, mErrorMessageClass, mMsgId, mValidatingAttrName`

Constructor Summary
`JboSQLListValidator()` Creates an uninitialized list validator.
`JboSQLListValidator(boolean bInverse, java.lang.Object owner, java.lang.String str)` Creates a list validator.

Method Summary
`java.util.Vector` | `getList()` Gets this validator's list of values.
`java.lang.String` | `getSQL()` Gets this validator's SQL statement.
`void` | `setSQL(java.lang.String str)` Sets this validator's SQL statement.
`java.lang.String` | `toString()` Internal: For debugging purposes only.

Methods inherited from class oracle.jbo.server.rules.JboListValidator
`convertToVector, setList, validateValue`

Methods inherited from class oracle.jbo.server.rules.JboBaseValidator
`extractValueToValidate, initialize, raiseException, setNewValue, setValidatingAttribute, setValidatingAttribute, vetoableChange`

Methods inherited from class oracle.jbo.rules.AbstractValidator
`convertToJava, getDescription, getErrorMessageClass, getErrorMsgId, getInverse, getValidatingAttributeName, setDescription, setErrorMessageClass, setErrorMsgId, setInverse, setValidatingAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.jbo.server.rules.JbiValidator
`getDescription, setDescription`

Methods inherited from interface oracle.jbo.server.util.VetoableChangeListener
`vetoableChange`

Constructor Detail

### JboSQLListValidator

    public JboSQLListValidator()

  Creates an uninitialized list validator.

  Invoke `setSQL()` to provide a list of comparison values.

### JboSQLListValidator

    public JboSQLListValidator(boolean bInverse,
                               java.lang.Object owner,
                               java.lang.String str)

  Creates a list validator.
Parameters:
  `bInverse` - if `true` the logic of this validator's test is inverted.
  `str` - an SQL statement.

Method Detail

### setSQL

    public void setSQL(java.lang.String str)

  Sets this validator's SQL statement.
  Parameters:
    `str` - an SQL statement.

### getSQL

    public java.lang.String getSQL()

  Gets this validator's SQL statement.
  Returns:
    an SQL statement.

### getList

    public java.util.Vector getList()

  Gets this validator's list of values.

  This method executes the validator's SQL statement and extracts and the first column of the result.

  Overrides:
    `getList` in class `JboListValidator`
  Returns:
    a vector containing the values from the first column of the result.

### toString

    public java.lang.String toString()

  Internal: For debugging purposes only.
  Overrides:
    `toString` in class `JboListValidator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.